# OL3-ext: fill pattern

ol.style.FillPattern set fill pattern style to vector features. It defines a set of cartographic patterns to use in your maps.

Hatching can be defined with a size for the lines, spacing interval and an angle.
Cross, dot and circle patterns can be defines with a size and spacing interval. The angle option is a boolean (0|1) for 45° pattern.

## Options:

- Pattern:
- Size:
- Spacing:
- Angle: (deg)
- Offset:
- Scale:
- Color:
- Background: